package com.izouma.awesomeadmin.dao;

import java.util.*;

import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AimTemplateAim;


/**
 * Dao接口
 */
@Repository("com.zoumaframe.dao.AimTemplateAimMapper")
public interface AimTemplateAimMapper {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AimTemplateAim record);

    AimTemplateAim selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AimTemplateAim record);

    List<AimTemplateAim> queryAllAimTemplateAim(AimTemplateAim record);

    List<AimTemplateAim> queryAllAimTemplateAimAllInfo(AimTemplateAim record);

    List<AimTemplateAim> queryAimTemplateAimByPage(Map<String, Object> parameter);

    int delete(AimTemplateAim record);

    AimTemplateAim queryAimTemplateAim(AimTemplateAim record);

    List<AimTemplateAim> query(AimTemplateAim record);
}

